﻿using System;
using System.Windows.Forms;

using DevExpress.XtraBars.Alerter;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.alertControl.AlertClick     += alertControl_AlertClick;
            this.alertControl.BeforeFormShow += alertControl_BeforeFormShow;
            this.showButton.Click            += showButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 알림 컨트롤 폼 표시 전 처리하기 - alertControl_BeforeFormShow(sender, e)

        /// <summary>
        /// 알림 컨트롤 폼 표시 전 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void alertControl_BeforeFormShow(object sender, AlertFormEventArgs e)
        {
            e.AlertForm.OpacityLevel = 1;
        }

        #endregion
        #region 알림 컨트롤 알림 클릭시 처리하기 - alertControl_AlertClick(sender, e)

        /// <summary>
        /// 알림 컨트롤 알림 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void alertControl_AlertClick(object sender, AlertClickEventArgs e)
        {
            Message message = e.Info.Tag as Message;

            XtraMessageBox.Show(message.Content, message.Caption);
        }

        #endregion
        #region 알림 창 표시하기 버튼 클릭시 처리하기 - showButton_Click(sender, e)

        /// <summary>
        /// 알림 창 표시하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showButton_Click(object sender, EventArgs e)
        {
            Message message = new Message();

            this.alertControl.Show(this, message.Caption, message.Content, string.Empty, message.Image, message);
        }

        #endregion
    }
}